Loading...
Searching...
No Matches
Halide::Runtime::Internal::StringUtils Struct Reference

`#include <string_storage.h>`

## Static Public Member Functions

static bool | is_empty (const char *str)
static size_t | count_tokens (const char *str, const char *delim)
static bool | contains (const char *s1, const char *s2, size_t n)
static size_t | count_length (const char *str, size_t max_chars)
static size_t | copy_up_to (char *dst, const char *src, size_t max_chars)

## Detailed Description

Definition at line 12 of file string_storage.h.

## Member Function Documentation

## is_empty()

bool Halide::Runtime::Internal::StringUtils::is_empty | ( | const char * | str | ) |

inline static

Definition at line 13 of file string_storage.h.

Referenced by Halide::Runtime::Internal::StringStorage::append(), Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringTable::contains(), contains(), count_length(), count_tokens(), Halide::Runtime::Internal::StringTable::parse(), and Halide::Runtime::Internal::StringStorage::prepend().

## count_tokens()

size_t Halide::Runtime::Internal::StringUtils::count_tokens | ( | const char * | str,
|  | const char * | delim )

inline static

Definition at line 24 of file string_storage.h.

References is_empty(), Halide::Runtime::Internal::strlen(), and strstr().

Referenced by Halide::Runtime::Internal::StringTable::parse().

## contains()

bool Halide::Runtime::Internal::StringUtils::contains | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n )

inline static

Definition at line 44 of file string_storage.h.

References is_empty(), and Halide::Runtime::Internal::strlen().

Referenced by Halide::Runtime::Internal::StringStorage::contains(), and Halide::Runtime::Internal::StringStorage::contains().

## count_length()

size_t Halide::Runtime::Internal::StringUtils::count_length | ( | const char * | str,
|  | size_t | max_chars )

inline static

Definition at line 64 of file string_storage.h.

References is_empty().

Referenced by Halide::Runtime::Internal::StringStorage::append(), Halide::Runtime::Internal::StringStorage::append(), copy_up_to(), Halide::Runtime::Internal::StringStorage::length(), Halide::Runtime::Internal::StringStorage::prepend(), and Halide::Runtime::Internal::StringStorage::prepend().

## copy_up_to()

size_t Halide::Runtime::Internal::StringUtils::copy_up_to | ( | char * | dst,
|  | const char * | src,
|  | size_t | max_chars )

inline static

Definition at line 72 of file string_storage.h.

References count_length(), and memcpy().

The documentation for this struct was generated from the following file:

- src/runtime/internal/string_storage.h